
QGIS Application - Feature request #3717

allow loading vector legend from text file

2011-04-11 09:11 AM - mlennert -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 13776

Description

It would be nice to be able to load a vector legend/style from a text file. This could include categorised, graduated or rules-based legends.

As an example, imagine receiving a vector file of land use classes with an information about the colors these classes should be displayed

in. It would be nice to be able to just take this information, massage it into the necessary text file format and load it. Currently this is

possible for raster palettes, but (apparently) not for vector legends.

Moritz

History

#1 - 2011-04-11 09:25 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

You can already save the layer symbology to .qml files.

#2 - 2011-04-11 09:26 AM - Jürgen Fischer

Replying to [comment:1 jef]:

You can already save the layer symbology to .qml files.

that is, from the layer properties that is (Save As Default/Restore from Default/Load/Save Style...)

#3 - 2011-04-11 09:40 AM - mlennert -

- Status changed from Closed to Feedback

- Resolution deleted (invalid)

Replying to [comment:1 jef]:

You can already save the layer symbology to .qml files.

I'm am conscious of that possibility, but it does not really respond to the idea developed above. It is not an easy taks to create a .qml file from scratch when

you have a list of codes and colors as input. What I was aiming at was some sort of mecanism to allow me to tell QGIS "I would like all polygons filled with a

color and a black border brush of width XYZ, and you can find all the codes and their corresponding colors in RGB in the following text file".
I think this is a note too rare use case (e.g. downloading shapefiles of land use classes with an accompanying file giving the class to color key).

Reopening the ticket as it is (IMHO) not invalid...

Moritz

Moritz

#4 - 2011-09-19 05:27 AM - Micha Silver

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

+1 for this suggestion. 

FAO Geonetwork and the Africover project both distribute Land Cover data with standardized coloring for each land cover class in an excel file with R-G-B

columns. It would be great to be able to convert those columns somehow directly into a qml...

Thanks,

Micha

#5 - 2011-09-19 08:22 AM - Giovanni Manghi

- Operating System deleted (Debian)

- Target version changed from Version 1.7.0 to Version 1.7.1

This seems to me a duplicate of #3129

If you consider so please close it.

#6 - 2011-11-12 05:52 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#7 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#8 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#9 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#10 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#11 - 2014-12-19 04:21 AM - mlennert -

- Resolution set to duplicate

duplicate of #859
#12 - 2014-12-20 01:58 AM - Giovanni Manghi

- Status info deleted (0)

- Status changed from Feedback to Closed

data defined symbology exists since long ago now.

2024-05-21 3/3


